%include %{_rpmconfigdir}/macros.python2

Name: createrepo
Version: 0.10.4
Release: 3
License: GPLv2
Summary: Creates a common metadata repository
URL: http://createrepo.baseurl.org/

BuildArchitectures: noarch

BuildRequires: python2

Requires: python2-deltarpm

Source0: http://createrepo.baseurl.org/download/%{name}-%{version}.tar.gz

%description
A set of utilities for generating a common metadata repository
from a directory of rpm packages and maintaining it.

%prep
%setup -q

# # Change /usr/* paths to the right prefix
perl -p -i -e 's|/bin/sh|/QOpenSys/usr/bin/sh|g; s|/usr/share|%{_datadir}|g; ' bin/*repo createrepo/__init__.py

perl -p -i -e 's|/usr/bin/makedeltarpm|%{_bindir}/makedeltarpm|g' createrepo/deltarpms.py

# Fix shebang line
find . -name \*.py | xargs perl -p -i -e 's|/usr/bin/python|%{_bindir}/python2|g'

%install

%make_install \
    PYTHON=%{_bindir}/python2 \
    prefix=%{_prefix} \
    exec_prefix=%{_exec_prefix} \
    bindir=%{_bindir} \
    sbindir=%{_sbindir} \
    libexecdir=%{_libexecdir} \
    datadir=%{_datadir} \
    sysconfdir=%{_sysconfdir} \
    sharedstatedir=%{_sharedstatedir} \
    localstatedir=%{_localstatedir} \
    libdir=%{_libdir} \
    infodir=%{_infodir} \
    docdir=%{_docdir} \
    includedir=%{_includedir} \
    oldincludedir=%{_oldincludedir} \
    mandir=%{_mandir} \
    compdir=%{_sysconfdir}/bash_completion.d \
    # end

# TODO: figure out where to ship these
rm -r %{buildroot}%{_sysconfdir}/bash_completion.d

%files
%defattr(-, qsys, *none)

%{_bindir}/createrepo
%{_bindir}/mergerepo
%{_bindir}/modifyrepo

# %{_sysconfig}/bash_completion.d/createrepo
# %{_sysconfig}/bash_completion.d/genpkgmetadata.py
# %{_sysconfig}/bash_completion.d/mergerepo

%{_datadir}/createrepo

%{_mandir}/man1/mergerepo.1
%{_mandir}/man1/modifyrepo.1
%{_mandir}/man8/createrepo.8

%{py_sitedir}/createrepo
